# FSidebarProvider
Date: 2018-12-06

com.massivecraft.factions.scoreboards

## Class FSidebarProvider

- java.lang.Object
- - com.massivecraft.factions.scoreboards.FSidebarProvider

Direct Known Subclasses:
  FDefaultSidebar, FInfoSidebar

    public abstract class FSidebarProvider
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FSidebarProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.util.List<java.lang.String>` `getLines(FPlayer fplayer)`
`abstract java.lang.String` `getTitle(FPlayer fplayer)`
`java.lang.String` `replaceTags(Faction faction, FPlayer fPlayer, java.lang.String s)`
`java.lang.String` `replaceTags(FPlayer fPlayer, java.lang.String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FSidebarProvider

    public FSidebarProvider()

### Method Detail

#### getTitle

    public abstract java.lang.String getTitle(FPlayer fplayer)

#### getLines

    public abstract java.util.List<java.lang.String> getLines(FPlayer fplayer)

#### replaceTags

    public java.lang.String replaceTags(FPlayer fPlayer,
                                        java.lang.String s)

#### replaceTags

    public java.lang.String replaceTags(Faction faction,
                                        FPlayer fPlayer,
                                        java.lang.String s)